spaar's Mod Loader (1.7.1) [Besiege v0.45a]

Hey there, I'd tried before, but couldn't get the block loader working. I have been using the Mod Loader and loads of other mods for quite a while now, but I've spent about half an hour scouring the forum trying to find out how to get the blockloader working, and short of a few broken links, the only evidence I could find points to that it's supposed to come with the mod loader now, but I'm not sure. Is this the right place to ask for help on that? All I see in game is the new 'Modded Blocks' button in the top left corner of the lower bar, but it's empty even though I've put loads of modded blocks in (installed about 90% of the mods on the mod list just to test them). Anyone have any idea what's happening here? Java says it's running on Platform 1.7.
 

ITR

l̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ֍̫̜̥̭͖̱̟̟͉͙̜̰ͅl̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ
Staff member
Hey there, I'd tried before, but couldn't get the block loader working. I have been using the Mod Loader and loads of other mods for quite a while now, but I've spent about half an hour scouring the forum trying to find out how to get the blockloader working, and short of a few broken links, the only evidence I could find points to that it's supposed to come with the mod loader now, but I'm not sure. Is this the right place to ask for help on that? All I see in game is the new 'Modded Blocks' button in the top left corner of the lower bar, but it's empty even though I've put loads of modded blocks in (installed about 90% of the mods on the mod list just to test them). Anyone have any idea what's happening here? Java says it's running on Platform 1.7.
It sounds like you probably installed some blockmods that aren't up to date? Try removing all but one, then check if it works
 
Thanks ITR, I will try that as soon as mods are back up. Does having old blocks in there usually stops other blocks from showing up, or is it just a chance that might be it?
And poith01, don't worry, I'm sure there will be an update for the mods soon. This usually happens when the game gets updated. Best to check back here for when the post gets updated.
 

spaar

Active Member
Just released version 1.5.3, which adds compatibility for Besiege v0.35.

@potih01 that's what was your problem too, a new game version requires a new mod loader version which I only released just now.
 

spaar

Active Member
well.. when i try the window istaller its fails but it works fine with the regular installer...
Good to hear it works now. The installer should work too, although I just checked and there might indeed be a bug where it doesn't work the first time you try it but works again after that. Not sure what that's about, but it could be worth giving it a shot if anybody else has that problem too.
 
window istaller does still not work... it only gives me the file -Installer- and after that is says "Error installing the mod loader"

(sorry if i am annoying)
 
Hey @spaar I installed the ModLoader fine, and it ran fine, but today when I reopened besiege, it just didn't work, no console or anything. Im on mac and the only mod i was running at the time was No Bounds. Help?
 

Attachments

I don't know if this was asked before already, but I dont want to go through 38 pages. The Console outputs the error "MissingFieldException: Field '.AddPiece.isSimulating' not found." very fast so when I try commands they are instantly away because of those outputs. It still outputs it if I deactivate all mods, so I dont think its because of that. Any idea why it happens?
 

ITR

l̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ֍̫̜̥̭͖̱̟̟͉͙̜̰ͅl̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ
Staff member
I don't know if this was asked before already, but I dont want to go through 38 pages. The Console outputs the error "MissingFieldException: Field '.AddPiece.isSimulating' not found." very fast so when I try commands they are instantly away because of those outputs. It still outputs it if I deactivate all mods, so I dont think its because of that. Any idea why it happens?
That means you're using an outdated mod
 
Your issue may have been caused by some missing resources that I forgot to include in the release. If you just reinstall the mod loader now, it should work again.


I'm not sure what you're talking about, but perhaps you had the same issue as above, try reinstalling it now if you still have problems. If you don't, that's fine too I guess ^^
well it works now thanks
 

ITR

l̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ֍̫̜̥̭͖̱̟̟͉͙̜̰ͅl̺̤͈̘̰̺͉̳͉̖̝̱̻̠̦͈ͅ
Staff member
But how does it still occur even when all mods are deactivated? Shouldnt the outdated one be deactivated too when I do that?
Maybe you're using an outdated modloader, or too new version of the modloader with an outdated version of the game?
 
Top